import React from 'react';
import type { FoundationFormConsumerProps, FoundationFormContextType, FoundationFormProviderProps } from './types';
export declare function FoundationFormProvider<T>({ children, context, }: FoundationFormProviderProps<T>): React.ReactElement;
export declare function FoundationFormConsumer<T>({ children, }: FoundationFormConsumerProps<T>): React.ReactElement;
export declare function useForm<T>(): FoundationFormContextType<T>;
