import opi from 'object-path-immutable';
export default function addArrayElement(name, initialValues) {
  return function setState(prevState) {
    return {
      rawValues: opi.push(prevState.rawValues, name, initialValues),
      submitValues: opi.push(prevState.submitValues, name, initialValues)
    };
  };
}
//# sourceMappingURL=addArrayElement.js.map