import opi from 'object-path-immutable';
export default function removeArrayElementAt(name, index) {
  return function setState(prevState) {
    var key = "".concat(name, ".").concat(index);
    return {
      rawValues: opi.del(prevState.rawValues, key),
      submitValues: opi.del(prevState.submitValues, key)
    };
  };
}
//# sourceMappingURL=removeArrayElementAt.js.map