import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _assertThisInitialized from "@babel/runtime/helpers/assertThisInitialized";
import _inherits from "@babel/runtime/helpers/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _wrapNativeSuper from "@babel/runtime/helpers/wrapNativeSuper";
import _defineProperty from "@babel/runtime/helpers/defineProperty";

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

var ClientSideValidationError = /*#__PURE__*/function (_Error) {
  _inherits(ClientSideValidationError, _Error);

  var _super = _createSuper(ClientSideValidationError);

  function ClientSideValidationError() {
    var _this;

    var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
        data = _ref.data,
        message = _ref.message;

    _classCallCheck(this, ClientSideValidationError);

    _this = _super.call(this, message); // This guard is most likely due to some environment issues.
    // eslint-disable-next-line @typescript-eslint/no-unnecessary-condition

    _defineProperty(_assertThisInitialized(_this), "data", void 0);

    _defineProperty(_assertThisInitialized(_this), "isClientSideValidationError", void 0);

    if (Error.captureStackTrace !== void 0) {
      Error.captureStackTrace(_assertThisInitialized(_this), ClientSideValidationError);
    }

    _this.data = data;
    _this.isClientSideValidationError = true;
    return _this;
  }

  return ClientSideValidationError;
}( /*#__PURE__*/_wrapNativeSuper(Error));

export { ClientSideValidationError as default };
//# sourceMappingURL=ClientSideValidationError.js.map