# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [2.0.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@2.0.1...@billogram/foundation-form@2.0.2) (2021-06-17)

**Note:** Version bump only for package @billogram/foundation-form



## [2.0.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@2.0.0...@billogram/foundation-form@2.0.1) (2021-05-04)

**Note:** Version bump only for package @billogram/foundation-form



## [2.0.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.4.1...@billogram/foundation-form@2.0.0) (2021-03-10)

### Features

* Remove FoundationTogglePanel ([fede8aa1](https://github.com/billogram/frontend-foundation/commit/fede8aa1))


### BREAKING CHANGES

* Remove FoundationTogglePanel as it was only a simple
wrapper for FoundationSectionPanel.



## [1.4.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.4.0...@billogram/foundation-form@1.4.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.4.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.3.0...@billogram/foundation-form@1.4.0) (2021-01-14)

### Features

* Add option for merging values on reinitialize ([c5d8b33c](https://github.com/billogram/frontend-foundation/commit/c5d8b33c))



## [1.3.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.2.0...@billogram/foundation-form@1.3.0) (2021-01-10)

### Bug Fixes

* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix react/jsx-no-useless-fragment ([dd348642](https://github.com/billogram/frontend-foundation/commit/dd348642))
* Fix @typescript-eslint/member-ordering ([a2894153](https://github.com/billogram/frontend-foundation/commit/a2894153))
* Fix linting in foundation-form ([dd54ae42](https://github.com/billogram/frontend-foundation/commit/dd54ae42))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))



## [1.2.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.1.0...@billogram/foundation-form@1.2.0) (2020-07-28)

### Bug Fixes

* Required should also checked false, null and undefined ([38ee843f](https://github.com/billogram/frontend-foundation/commit/38ee843f))


### Features

* Add FoundationFormContext ([67409f28](https://github.com/billogram/frontend-foundation/commit/67409f28))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.0.2...@billogram/foundation-form@1.1.0) (2020-02-26)

### Features

* Move FoundationTogglePanel ([26eb20cf](https://github.com/billogram/frontend-foundation/commit/26eb20cf))



## [1.0.2](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-form@1.0.1...@billogram/foundation-form@1.0.2) (2020-02-14)

### Bug Fixes

* Add missing generic argument ([b18b612d](https://github.com/billogram/frontend-foundation/commit/b18b612d))
* Extract form function types ([8b62c536](https://github.com/billogram/frontend-foundation/commit/8b62c536))
* Return submit values for default submit function ([996fa06b](https://github.com/billogram/frontend-foundation/commit/996fa06b))



## [1.0.1](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-form@1.0.1) (2020-01-20)

### Bug Fixes

* Move react-router to dev dependencies ([dd6a3db3](https://github.com/billogram/frontend-foundation/commit/dd6a3db3))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Add missing styles ([9f31da2f](https://github.com/billogram/frontend-foundation/commit/9f31da2f))


### Features

* Implement FoundationForm ([66ec786a](https://github.com/billogram/frontend-foundation/commit/66ec786a))
* Scaffold out @billogram/foundation-form ([4976be62](https://github.com/billogram/frontend-foundation/commit/4976be62))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-form@1.0.0) (2020-01-20)

### Bug Fixes

* Move react-router to dev dependencies ([dd6a3db3](https://github.com/billogram/frontend-foundation/commit/dd6a3db3))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Rename button, error, spinner, and textbox packages ([bf794373](https://github.com/billogram/frontend-foundation/commit/bf794373))
* Move react-router to peer dependencies ([8695cf5d](https://github.com/billogram/frontend-foundation/commit/8695cf5d))
* Add missing styles ([9f31da2f](https://github.com/billogram/frontend-foundation/commit/9f31da2f))


### Features

* Implement FoundationForm ([66ec786a](https://github.com/billogram/frontend-foundation/commit/66ec786a))
* Scaffold out @billogram/foundation-form ([4976be62](https://github.com/billogram/frontend-foundation/commit/4976be62))


### BREAKING CHANGES

* Force the first release to start from 1.0.0.
