import React from 'react';
import purebem from 'purebem';
export default function FoundationFormAsDivWrapper(_ref) {
  var children = _ref.children,
      submit = _ref.submit;

  function onKeyDown(evt) {
    switch (evt.which) {
      case 13:
        {
          // Enter
          evt.preventDefault();
          evt.stopPropagation();
          submit();
          break;
        }
    }
  }

  var block = purebem('foundation-form');
  return /*#__PURE__*/React.createElement("div", {
    className: block(),
    onKeyDown: onKeyDown
  }, children);
}
//# sourceMappingURL=FoundationFormAsDivWrapper.js.map