import addArrayElement from './addArrayElement';


test('can remove all array elements', () => {
    const setState = addArrayElement('field1', { value: 2 });

    const prevState = {
        initialValues: {
            field1: [
                { value: 1 },
            ],
        },
        rawValues: {
            field1: [
                { value: 1 },
            ],
        },
        submitValues: {
            field1: [
                { value: 1 },
            ],
        },
    };

    const nextState = setState(prevState);

    expect(nextState).toEqual({
        rawValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
        submitValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
    });
});
