import removeAllArrayElements from './removeAllArrayElements';


test('can remove all array elements', () => {
    const setState = removeAllArrayElements('field1');

    const prevState = {
        initialValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
        rawValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
        submitValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
    };

    const nextState = setState(prevState);

    expect(nextState).toEqual({
        rawValues: {
            field1: [],
        },
        submitValues: {
            field1: [],
        },
    });
});
