import removeArrayElementAt from './removeArrayElementAt';


test('can remove array element at index', () => {
    const setState = removeArrayElementAt('field1', 0);

    const prevState = {
        initialValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
        rawValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
        submitValues: {
            field1: [
                { value: 1 },
                { value: 2 },
            ],
        },
    };

    const nextState = setState(prevState);

    expect(nextState).toEqual({
        rawValues: {
            field1: [
                { value: 2 },
            ],
        },
        submitValues: {
            field1: [
                { value: 2 },
            ],
        },
    });
});
