export default function required(_ref) {
  var message = _ref.message;
  return function validator(context) {
    if (context.value === '' || context.value === false || context.value === null || context.value === void 0) {
      return [[context.key, message]];
    }

    return [];
  };
}
//# sourceMappingURL=required.js.map